Package org.eclipse.birt.chart.model.component.impl

# Class DialImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.DialImpl

All Implemented Interfaces:
  `Dial`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DialImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Dial
An implementation of the model object 'Dial'.

The following features are implemented:

- `Start Angle`
- `Stop Angle`
- `Radius`
- `Line Attributes`
- `Fill`
- `Dial Regions`
- `Major Grid`
- `Minor Grid`
- `Scale`
- `Inverse Scale`
- `Label`
- `Format Specifier`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Dial`
`copyInstance()`
`static final Dial`
`create()`
`static final Dial`
`createDefault()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<DialRegion>`
`getDialRegions()`
`Fill`
`getFill()`
`FormatSpecifier`
`getFormatSpecifier()`
`Label`
`getLabel()`
`LineAttributes`
`getLineAttributes()`
`Grid`
`getMajorGrid()`
`Grid`
`getMinorGrid()`
`double`
`getRadius()`
`Scale`
`getScale()`
`double`
`getStartAngle()`
`double`
`getStopAngle()`
`boolean`
`isInverseScale()`
`boolean`
`isSetInverseScale()`
`boolean`
`isSetRadius()`
`boolean`
`isSetStartAngle()`
`boolean`
`isSetStopAngle()`
`void`
`setFill(Fill newFill)`
`void`
`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
`setInverseScale(boolean newInverseScale)`
`void`
`setLabel(Label newLabel)`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setMajorGrid(Grid newMajorGrid)`
`void`
`setMinorGrid(Grid newMinorGrid)`
`void`
`setRadius(double newRadius)`
`void`
`setScale(Scale newScale)`
`void`
`setStartAngle(double newStartAngle)`
`void`
`setStopAngle(double newStopAngle)`
`String`
`toString()`
`void`
`unsetInverseScale()`
`void`
`unsetRadius()`
`void`
`unsetStartAngle()`
`void`
`unsetStopAngle()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStartAngle

public double getStartAngle()

Specified by:
  `getStartAngle` in interface `Dial`
Returns:
  the value of the 'Start Angle' attribute.
See Also:
  - `Dial.isSetStartAngle()`
  - `Dial.unsetStartAngle()`
  - `Dial.setStartAngle(double)`
  - `ComponentPackage.getDial_StartAngle()`

### setStartAngle

public void setStartAngle(double newStartAngle)

Specified by:
  `setStartAngle` in interface `Dial`
Parameters:
  `newStartAngle` - the new value of the 'Start Angle' attribute.
See Also:
  - `Dial.isSetStartAngle()`
  - `Dial.unsetStartAngle()`
  - `Dial.getStartAngle()`

### unsetStartAngle

public void unsetStartAngle()

Specified by:
  `unsetStartAngle` in interface `Dial`
See Also:
  - `Dial.isSetStartAngle()`
  - `Dial.getStartAngle()`
  - `Dial.setStartAngle(double)`

### isSetStartAngle

public boolean isSetStartAngle()

Specified by:
  `isSetStartAngle` in interface `Dial`
Returns:
  whether the value of the 'Start Angle' attribute is set.
See Also:
  - `Dial.unsetStartAngle()`
  - `Dial.getStartAngle()`
  - `Dial.setStartAngle(double)`

### getStopAngle

public double getStopAngle()

Specified by:
  `getStopAngle` in interface `Dial`
Returns:
  the value of the 'Stop Angle' attribute.
See Also:
  - `Dial.isSetStopAngle()`
  - `Dial.unsetStopAngle()`
  - `Dial.setStopAngle(double)`
  - `ComponentPackage.getDial_StopAngle()`

### setStopAngle

public void setStopAngle(double newStopAngle)

Specified by:
  `setStopAngle` in interface `Dial`
Parameters:
  `newStopAngle` - the new value of the 'Stop Angle' attribute.
See Also:
  - `Dial.isSetStopAngle()`
  - `Dial.unsetStopAngle()`
  - `Dial.getStopAngle()`

### unsetStopAngle

public void unsetStopAngle()

Specified by:
  `unsetStopAngle` in interface `Dial`
See Also:
  - `Dial.isSetStopAngle()`
  - `Dial.getStopAngle()`
  - `Dial.setStopAngle(double)`

### isSetStopAngle

public boolean isSetStopAngle()

Specified by:
  `isSetStopAngle` in interface `Dial`
Returns:
  whether the value of the 'Stop Angle' attribute is set.
See Also:
  - `Dial.unsetStopAngle()`
  - `Dial.getStopAngle()`
  - `Dial.setStopAngle(double)`

### getRadius

public double getRadius()

Specified by:
  `getRadius` in interface `Dial`
Returns:
  the value of the 'Radius' attribute.
See Also:
  - `Dial.isSetRadius()`
  - `Dial.unsetRadius()`
  - `Dial.setRadius(double)`
  - `ComponentPackage.getDial_Radius()`

### setRadius

public void setRadius(double newRadius)

Specified by:
  `setRadius` in interface `Dial`
Parameters:
  `newRadius` - the new value of the 'Radius' attribute.
See Also:
  - `Dial.isSetRadius()`
  - `Dial.unsetRadius()`
  - `Dial.getRadius()`

### unsetRadius

public void unsetRadius()

Specified by:
  `unsetRadius` in interface `Dial`
See Also:
  - `Dial.isSetRadius()`
  - `Dial.getRadius()`
  - `Dial.setRadius(double)`

### isSetRadius

public boolean isSetRadius()

Specified by:
  `isSetRadius` in interface `Dial`
Returns:
  whether the value of the 'Radius' attribute is set.
See Also:
  - `Dial.unsetRadius()`
  - `Dial.getRadius()`
  - `Dial.setRadius(double)`

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `Dial`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `Dial.setLineAttributes(LineAttributes)`
  - `ComponentPackage.getDial_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `Dial`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `Dial.getLineAttributes()`

### getFill

public Fill getFill()

Specified by:
  `getFill` in interface `Dial`
Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `Dial.setFill(Fill)`
  - `ComponentPackage.getDial_Fill()`

### basicSetFill

public org.eclipse.emf.common.notify.NotificationChain basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFill

public void setFill(Fill newFill)

Specified by:
  `setFill` in interface `Dial`
Parameters:
  `newFill` - the new value of the 'Fill' containment reference.
See Also:
  - `Dial.getFill()`

### getDialRegions

public org.eclipse.emf.common.util.EList<DialRegion> getDialRegions()

Specified by:
  `getDialRegions` in interface `Dial`
Returns:
  the value of the 'Dial Regions' containment reference list.
See Also:
  - `ComponentPackage.getDial_DialRegions()`

### getMajorGrid

public Grid getMajorGrid()

Specified by:
  `getMajorGrid` in interface `Dial`
Returns:
  the value of the 'Major Grid' containment reference.
See Also:
  - `Dial.setMajorGrid(Grid)`
  - `ComponentPackage.getDial_MajorGrid()`

### basicSetMajorGrid

public org.eclipse.emf.common.notify.NotificationChain basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMajorGrid

public void setMajorGrid(Grid newMajorGrid)

Specified by:
  `setMajorGrid` in interface `Dial`
Parameters:
  `newMajorGrid` - the new value of the 'Major Grid' containment reference.
See Also:
  - `Dial.getMajorGrid()`

### getMinorGrid

public Grid getMinorGrid()

Specified by:
  `getMinorGrid` in interface `Dial`
Returns:
  the value of the 'Minor Grid' containment reference.
See Also:
  - `Dial.setMinorGrid(Grid)`
  - `ComponentPackage.getDial_MinorGrid()`

### basicSetMinorGrid

public org.eclipse.emf.common.notify.NotificationChain basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMinorGrid

public void setMinorGrid(Grid newMinorGrid)

Specified by:
  `setMinorGrid` in interface `Dial`
Parameters:
  `newMinorGrid` - the new value of the 'Minor Grid' containment reference.
See Also:
  - `Dial.getMinorGrid()`

### getScale

public Scale getScale()

Specified by:
  `getScale` in interface `Dial`
Returns:
  the value of the 'Scale' containment reference.
See Also:
  - `Dial.setScale(Scale)`
  - `ComponentPackage.getDial_Scale()`

### basicSetScale

public org.eclipse.emf.common.notify.NotificationChain basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)

### setScale

public void setScale(Scale newScale)

Specified by:
  `setScale` in interface `Dial`
Parameters:
  `newScale` - the new value of the 'Scale' containment reference.
See Also:
  - `Dial.getScale()`

### isInverseScale

public boolean isInverseScale()

Specified by:
  `isInverseScale` in interface `Dial`
Returns:
  the value of the 'Inverse Scale' attribute.
See Also:
  - `Dial.isSetInverseScale()`
  - `Dial.unsetInverseScale()`
  - `Dial.setInverseScale(boolean)`
  - `ComponentPackage.getDial_InverseScale()`

### setInverseScale

public void setInverseScale(boolean newInverseScale)

Specified by:
  `setInverseScale` in interface `Dial`
Parameters:
  `newInverseScale` - the new value of the 'Inverse Scale' attribute.
See Also:
  - `Dial.isSetInverseScale()`
  - `Dial.unsetInverseScale()`
  - `Dial.isInverseScale()`

### unsetInverseScale

public void unsetInverseScale()

Specified by:
  `unsetInverseScale` in interface `Dial`
See Also:
  - `Dial.isSetInverseScale()`
  - `Dial.isInverseScale()`
  - `Dial.setInverseScale(boolean)`

### isSetInverseScale

public boolean isSetInverseScale()

Specified by:
  `isSetInverseScale` in interface `Dial`
Returns:
  whether the value of the 'Inverse Scale' attribute is set.
See Also:
  - `Dial.unsetInverseScale()`
  - `Dial.isInverseScale()`
  - `Dial.setInverseScale(boolean)`

### getLabel

public Label getLabel()

Specified by:
  `getLabel` in interface `Dial`
Returns:
  the value of the 'Label' containment reference.
See Also:
  - `Dial.setLabel(Label)`
  - `ComponentPackage.getDial_Label()`

### basicSetLabel

public org.eclipse.emf.common.notify.NotificationChain basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLabel

public void setLabel(Label newLabel)

Specified by:
  `setLabel` in interface `Dial`
Parameters:
  `newLabel` - the new value of the 'Label' containment reference.
See Also:
  - `Dial.getLabel()`

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `Dial`
Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `Dial.setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getDial_FormatSpecifier()`

### basicSetFormatSpecifier

public org.eclipse.emf.common.notify.NotificationChain basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatSpecifier

public void setFormatSpecifier(FormatSpecifier newFormatSpecifier)

Specified by:
  `setFormatSpecifier` in interface `Dial`
Parameters:
  `newFormatSpecifier` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `Dial.getFormatSpecifier()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Dial create()

Returns:
  dial instance with setting 'isSet' flag.

### createDefault

public static final Dial createDefault()

Returns:
  dial instance without setting 'isSet' flag.

### copyInstance

public Dial copyInstance()

Specified by:
  `copyInstance` in interface `Dial`
Specified by:
  `copyInstance` in interface `IChartObject`